Bug 114743 - PRINT: angled text does not display
Summary: PRINT: angled text does not display
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.4
Keywords: bibisected, bisected, regression
: 116121 (view as bug list)
Depends on:
Blocks: borderline-regressions
  Show dependency treegraph
 
Reported: 2017-12-29 05:38 UTC by Elmar
Modified: 2018-03-26 20:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
angled text display not working (13.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-12-29 05:40 UTC, Elmar
Details
tails of terminal output from two bibisect runs (5.20 KB, text/plain)
2017-12-29 18:24 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elmar 2017-12-29 05:38:41 UTC
Description:
If do a heading and show text say at 45degrees it does not display

Steps to Reproduce:
1. Create spreadsheet (or open existing ods with angled text)
2. Add text to cells
3. set angle to 45degrees

Actual Results:  
displays blank contents
Also: if change position (say to centre) text disappears in display (but is still there)

Expected Results:
Should display cell contents


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Elmar 2017-12-29 05:40:09 UTC
Created attachment 138727 [details]
angled text display not working
Comment 2 Xavier Van Wijmeersch 2017-12-29 07:44:01 UTC
can reproduce with

Version: 6.0.0.1.0+
Build ID: 203b913155812706e9be14c5fe2b8f543cc4fdc7
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: 7f15b7ae482be5994c6803b982c13cbc036a734f
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded

but not with

Version: 5.4.5.0.0+
Build ID: a61f45499856aad9910d82af1312a163504c15c2
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 3 Terrence Enger 2017-12-29 18:24:55 UTC
Created attachment 138735 [details]
tails of terminal output from two bibisect runs

Working on debian-buster in the recently retired daily Linux dbgutil
repository, I see two incorrect behaviours.  Here, by "the message", I
mean a message in the terminal (rewrapped):

    warn:legacy.tools:11332:1:svx/source/dialog/framelinkarray.cxx:532:
        svx::frame::Array::SetCellRotation - invalid cell index

In the following table, interpret "behaviour":
  - good           : The angled text displays initially and it still
                     displays after a change.
  - initial blanks : The angled text is blank upon initial display.
  - later blanks   : The angled text displays initially, but it
                     disappears upon a change.  My test is to type
                     "a<Esc>" in C14; the angled text disappears upon
                     the "a" and C14 through J14 remain blank after
                     "<Esc>".  The formula bar continues to show the
                     original contents.

                                                    nbr times the msg
    behaviour       commit    date        s-h       open  "a"  "<Esc>"
    --------------  --------  ----------  --------  ----  ---  ------                                
    good            030f8824  2017-07-28  3956e4cb  0     0    0
    initial blanks  362c5baf  2017-07-29  3c75009a  8     3    11
    initial blanks  fe91723c  2017-09-15  03121761  8     3    11
    later blanks    9b43cc89  2017-09-16  f9cbf67f  0     3    11

Daily Linux daily dbgutil bibisect repository version 2017-12-29 acts
like version 2017-09-16.


I am adding keyword bibisected.
Comment 4 Commit Notification 2018-02-11 22:59:32 UTC Comment hidden (off-topic)
Comment 5 Tamas Bunth 2018-02-11 23:01:29 UTC
Sorry, I wrote wrong bug number. The above patch is not related to this bug.
Comment 6 raal 2018-02-13 15:59:11 UTC
This seems to have begun at the below commit.
Adding Cc: to Armin Le Grand ; Could you possibly take a look at this one?
Thanks

41a491ae1dff6a6ebe668e9cd1587be4e95d802c is the first bad commit
commit 41a491ae1dff6a6ebe668e9cd1587be4e95d802c
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Sep 29 09:39:33 2017 -0700

    source sha:ab65fe804cf3a97bd172b5551b553b9bcde6d756
author    Armin Le Grand <Armin.Le.Grand@cib.de>    2017-09-14 16:45:56 +0200
committer    Armin Le Grand <Armin.Le.Grand@cib.de>    2017-09-15 12:58:04 +0200
commit    ab65fe804cf3a97bd172b5551b553b9bcde6d756 (patch)
tree    3c956b067379cc1e3fddd5eb2ce341eab52a5f0e
parent    2f16219741aba016677103e4b22738d055c39a91 (diff)
borderline: Extended decompose
Decompose of BorderLinePrimitive2D extended to take care
of non-perpendicular line endings for matching. Improved
matching, one error in calc fixed
Comment 7 Xisco Faulí 2018-03-01 16:31:29 UTC
*** Bug 116121 has been marked as a duplicate of this bug. ***
Comment 8 Dave Richards 2018-03-01 16:38:48 UTC
Sorry about my dupe.  So as noted, this is fixed in 6.1-2018-02-28, but still broken in 6.0.
Comment 9 Xisco Faulí 2018-03-01 17:08:26 UTC
Fixed in

Versió: 6.0.2.1
ID de la construcció: 1:6.0.2~rc1-0ubuntu0.16.04.1~lo1
Fils de CPU: 4; SO: Linux 4.13; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group

and 

Versión: 6.0.1.1
Id. de compilación: 60bfb1526849283ce2491346ed2aa51c465abfe6
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group

Fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-0&id=f839ea98181a1c6970fe25a82cf798dc151ed332
Comment 10 Commit Notification 2018-03-20 08:56:02 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5f0c10b3cb3d7014bb127e8d811377279ab5228&h=libreoffice-6-0

tdf#115353 tdf#114743 Use first valid glyph

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Terrence Enger 2018-03-22 01:53:37 UTC
I still see the bug in daily dbgutil version 2018-03-21 on
debian-buster.  I am setting status REOPENED.
Comment 12 Xavier Van Wijmeersch 2018-03-22 10:23:54 UTC
for me its working, and in the most cases wait 48 hour before upgrading LO.
So i think it can be closed again as WFM or fixed, anyone???

Version: 6.0.4.0.0+
Build ID: b0e7b2336d5d5723a9feab124f7c8a152f96dda4
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 13 Terrence Enger 2018-03-26 20:03:42 UTC
I still see the bug on debian-sid in
  - daily Linux dbgutil bibisect repository version 2018-03-26
  - daily build 2018-02-25
  - local build of commit 5e18136a, 2016-03-26

Note that for my test I am aborting the entry into C14 with "<Esc>".
If instead I complete the entry into C14 with "<Enter>", the program
still displays the angled text in row 14.

The continued display of row 14 after "<Enter>" is new sometime since
daily Linux dbgutil bibisect repository version 2017-09-30.  "<Page
Up><Page Dn>" restores the display of text in row 14, and it always
has, so far as I have noticed.

I wonder how my system is different.  Since moving to a new (to me)
computer at the beginning of February, I do have other unexplained
problems:
  - In local builds, unit tests fail, always something to do with
    fonts or spacing.
  - After I have mysterious changes to my desktop and to program
    settings.

Suggestions welcome!